org.apache.ignite.internal.processors.cluster

## Class ChangeGlobalStateMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.ChangeGlobalStateMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class ChangeGlobalStateMessage
    extends Object
    implements DiscoveryCustomMessage

Message represent request for change cluster global state.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChangeGlobalStateMessage(UUID reqId, UUID initiatingNodeId, List<StoredCacheData> storedCfgs, boolean activate, BaselineTopology baselineTopology, boolean forceChangeBaselineTopology, long timestamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`boolean` `activate()`
`BaselineTopology` `baselineTopology()`
`DiscoCache` `createDiscoCache(GridDiscoveryManager mgr, AffinityTopologyVersion topVer, DiscoCache discoCache)` Creates new discovery cache if message caused topology version change.
`ExchangeActions` `exchangeActions()`
`boolean` `forceChangeBaselineTopology()`
`IgniteUuid` `id()`
`UUID` `initiatorNodeId()`
`boolean` `isMutable()`
`UUID` `requestId()`
`List<StoredCacheData>` `storedCacheConfigurations()`
`long` `timestamp()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChangeGlobalStateMessage

    public ChangeGlobalStateMessage(UUID reqId,
                                    UUID initiatingNodeId,
                                    @Nullable
                                    List<StoredCacheData> storedCfgs,
                                    boolean activate,
                                    BaselineTopology baselineTopology,
                                    boolean forceChangeBaselineTopology,
                                    long timestamp)

Parameters:
  `reqId` - State change request ID.
  `initiatingNodeId` - Node initiated state change.
  `storedCfgs` - Configurations read from persistent store.
  `activate` - New cluster state.

### Method Detail

#### storedCacheConfigurations

    @Nullable
    public List<StoredCacheData> storedCacheConfigurations()

Returns:
  Configurations read from persistent store..

#### exchangeActions

    @Nullable
    public ExchangeActions exchangeActions()

Returns:
  Cache updates to be executed on exchange. If `null` exchange is not needed.

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### createDiscoCache

    public DiscoCache createDiscoCache(GridDiscoveryManager mgr,
                                       AffinityTopologyVersion topVer,
                                       DiscoCache discoCache)

Creates new discovery cache if message caused topology version change.

Specified by:
  `createDiscoCache` in interface `DiscoveryCustomMessage`
Parameters:
  `mgr` - Discovery manager.
  `topVer` - New topology version.
  `discoCache` - Current discovery cache.
Returns:
  Reused discovery cache.

#### initiatorNodeId

    public UUID initiatorNodeId()

Returns:
  Node initiated state change.

#### activate

    public boolean activate()

Returns:
  New cluster state.

#### forceChangeBaselineTopology

    public boolean forceChangeBaselineTopology()

Returns:
  Force change BaselineTopology flag.

#### baselineTopology

    @Nullable
    public BaselineTopology baselineTopology()

Returns:
  Baseline topology.

#### timestamp

    public long timestamp()

Returns:
  Timestamp.

#### requestId

    public UUID requestId()

Returns:
  State change request ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018